# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2010 Nexedi SA and Contributors. All Rights Reserved.
# Copyright (c) 2006-2008 Zope Corporation and Contributors.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
import os
import shutil
import hexagonit.recipe.download

class Recipe(hexagonit.recipe.download.Recipe):
  def __init__(self, buildout, name, options):
    self.options = options
    self.buildout = buildout
    self.name = name
    options.setdefault('strip-top-level-dir', 'false')
    options.setdefault('ignore-existing', 'false')
    options.setdefault('download-only', 'false')
    options.setdefault('hash-name', 'true')
    options.setdefault('destination', os.path.join(
      buildout['buildout']['parts-directory'],
      self.name))


  def install(self):
    shutil.rmtree(self.options['destination'])
    for url in self.options['urls'].split('\n'):
      url = url.strip()
      if url:
        self.options['url'] = url
        hexagonit.recipe.download.Recipe.install(self)
    file(os.path.join(self.options['destination'], '00WARNING00.txt'), "w"
        ).write("THIS DIRECTORY WILL BE ALWAYS REMOVED ON PART INSTALL "
            "OR UPDATE\n")

    return []
